## gdm-guest-session 0.6

=== Makefile ===
GDMDIR=/usr/share/gdm/guest-session/
APPARMORDIR=/etc/apparmor.d/

check:
	for f in gdm/*; do sh -n $$f; done
	
install:
	install -d $(DESTDIR)$(GDMDIR) $(DESTDIR)$(APPARMORDIR)
	install -m 755 gdm/* $(DESTDIR)$(GDMDIR)
	install -m 644 apparmor/* $(DESTDIR)$(APPARMORDIR)

uninstall:
	for f in $(shell ls gdm); do rm -f $(DESTDIR)$(GDMDIR)$$f; done
	rmdir -p $(DESTDIR)$(GDMDIR) 2>/dev/null || true
	for f in $(shell ls apparmor); do rm -f $(DESTDIR)$(APPARMORDIR)$$f; done
	rmdir -p $(DESTDIR)$(APPARMORDIR) 2>/dev/null || true

clean:

.PHONY: install uninstall check clean

=== debian/changelog ===
gdm-guest-session (0.6) intrepid; urgency=low

  * apparmor/gdm-guest-session: Allow accessing /lib32, too, to unbreak flash
    on amd64. (LP: #282132)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 16 Oct 2008 18:37:59 +0200

gdm-guest-session (0.5) intrepid; urgency=low

  * gdm/guest-session-cleanup.sh: Kill guest processes several times,
    sometimes bonobo-activation-server survives the first shot and then the
    wait loop grinds forever. Thanks to John Dong for the suggestion!
    (LP: #281835)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 15 Oct 2008 12:22:55 +0200

gdm-guest-session (0.4) intrepid; urgency=low

  * gdm/guest-session-setup.sh: Do not use variable "$UID", since this is
    reserved in bash. This fixes the guest session if /bin/sh points to bash.
    (LP: #275764)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 29 Sep 2008 12:51:45 +0200

gdm-guest-session (0.3) intrepid; urgency=low

  * gdm/guest-session-setup.sh: Disable screensaver startup, so that user
    switching, suspend, etc. does not trigger the screensaver lock. guest has
    no password, and g-screensaver isn't (and can't be) clever enough to
    detect that. (LP: #262228)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 28 Sep 2008 12:24:20 +0200

gdm-guest-session (0.2) intrepid; urgency=low

  * Version the gdm dependency to ensure that the guest session support is
    available.
  * Add AppArmor profile. This restricts write privileges only to the
    absolutely necessary parts, and does not allow access to /home at all.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 30 Jul 2008 17:56:23 +0200

gdm-guest-session (0.1) intrepid; urgency=low

  * Initial release. This package provides the guest account
    setup/cleanup/hardening infrastructure for
    https://wiki.ubuntu.com/DesktopTeam/Specs/Intrepid/GuestAccount
  * Stay at debhelper compat level 6 for now, to allow hardy backports.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 29 Jul 2008 15:22:09 +0200

=== debian/control ===
Source: gdm-guest-session
Section: gnome
Priority: optional
Build-Depends: cdbs, debhelper (>= 6)
Maintainer: Martin Pitt <martin.pitt@ubuntu.com>
Standards-Version: 3.8.0
Vcs-Bzr: https://code.launchpad.net/~pitti/+junk/gdm-guest-session

Package: gdm-guest-session
Architecture: all
Depends: gdm (>= 2.20.7-0ubuntu3), passwd
Description: gdm extension for guest session
 This package adds support for starting a guest session through gdm's
 flexiserver, which any already logged in user can launch.
 .
 It creates a temporary guest account with a temporary home directory and
 some restricted privileges (such as not being able to read any home 
 directory or do any permanent change to the system).
 .
 Just call /usr/share/gdm/guest-session/guest-session-launch to start the
 session.

## gdm-guest-session 0.6.1

=== debian/changelog ===
gdm-guest-session (0.6.1) intrepid-proposed; urgency=low

  * apparmor/gdm-guest-session: Generously allow flock() for most file system
    parts, too. OpenOffice needs locking in /usr/lib/openoffice/program/, for
    example, and does not start otherwise. (LP: #277418)
  * debian/control: Point Vcs-Bzr: to intrepid branch.
  * apparmor/gdm-guest-session: Allow mmap for /tmp and /var/tmp, as required
    by F-Spot. (LP: #288682)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 28 Oct 2008 10:22:44 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: cdbs, debhelper (>= 6)
 Maintainer: Martin Pitt <martin.pitt@ubuntu.com>
 Standards-Version: 3.8.0
-Vcs-Bzr: https://code.launchpad.net/~pitti/+junk/gdm-guest-session
+Vcs-Bzr: https://code.launchpad.net/~pitti/+junk/gdm-guest-session-intrepid
 
 Package: gdm-guest-session
 Architecture: all

## gdm-guest-session 0.8

=== debian/changelog ===
gdm-guest-session (0.8) jaunty; urgency=low

  [ David D Lowe ]
  * Added apparmor dependency. (LP: #310776)
  * /etc/skel is copied to guest's home directory. (LP: #296993)
  * Added guest-prepare.sh script, a script that end users can modify to 
    set guest's default settings.
  * Disactivated user-dirs-gtk, jockey-gtk and update-manager services, they 
    are redundant for the guest user. (LP: #255557)

  [ Martin Pitt ]
  * Merge guest-prepare.sh back into guest-session-setup.sh, no reason
    to split it in two.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 27 Jan 2009 11:56:26 +0100

gdm-guest-session (0.7) jaunty; urgency=low

  * apparmor/gdm-guest-session: Generously allow flock() for most file system
    parts, too. OpenOffice needs locking in /usr/lib/openoffice/program/, for
    example, and does not start otherwise. (LP: #277418)
  * gdm/guest-session-cleanup.sh: Remove guest owned leftovers in /tmp.
    (LP: #289554)
  * apparmor/gdm-guest-session: Allow mmap for /tmp and /var/tmp, as required
    by F-Spot. (LP: #288682)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 10 Nov 2008 17:18:57 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Build-Depends: cdbs, debhelper (>= 6)
 Maintainer: Martin Pitt <martin.pitt@ubuntu.com>
 Standards-Version: 3.8.0
-Vcs-Bzr: https://code.launchpad.net/~pitti/+junk/gdm-guest-session-intrepid
+Vcs-Bzr: https://code.launchpad.net/~pitti/+junk/gdm-guest-session
 
 Package: gdm-guest-session
 Architecture: all
-Depends: gdm (>= 2.20.7-0ubuntu3), passwd
+Depends: gdm (>= 2.20.7-0ubuntu3), passwd, apparmor
 Description: gdm extension for guest session
  This package adds support for starting a guest session through gdm's
  flexiserver, which any already logged in user can launch.

## gdm-guest-session 0.14

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,15 @@
 GDMDIR=/usr/share/gdm/guest-session/
 APPARMORDIR=/etc/apparmor.d/
+XSESSIONDIR=/usr/share/xsessions
 
 check:
 	for f in gdm/*; do sh -n $$f; done
 	
 install:
-	install -d $(DESTDIR)$(GDMDIR) $(DESTDIR)$(APPARMORDIR)
+	install -d $(DESTDIR)$(GDMDIR) $(DESTDIR)$(APPARMORDIR) $(DESTDIR)$(XSESSIONDIR)
 	install -m 755 gdm/* $(DESTDIR)$(GDMDIR)
 	install -m 644 apparmor/* $(DESTDIR)$(APPARMORDIR)
+	install -m 644 guest-restricted.desktop $(DESTDIR)$(XSESSIONDIR)
 
 uninstall:
 	for f in $(shell ls gdm); do rm -f $(DESTDIR)$(GDMDIR)$$f; done

=== debian/changelog ===
gdm-guest-session (0.14) karmic; urgency=low

  [ Marc Deslauriers ]
  * gdm/guest-session-setup.sh: create the dmrc file in the gdm cache
    location so the proper session gets started (LP: #449712)
  * gdm/guest-session-cleanup.sh: remove guest user directory from gdm
    cache directory to prevent user modifications from staying

  [ Martin Pitt ]
  * debian/control: Update Vcs-Bzr: for changed branch owner (now
    ~ubuntu-desktop).
  * Bumped Standards-Version to 3.8.3 (no changes necessary).
  * gdm/guest-session-setup.sh: Don't fail if /var/cache/gdm/guest already
    exists. (Regression from Marc's fix above)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 15 Oct 2009 12:14:57 +0200

gdm-guest-session (0.13) karmic; urgency=low

  * gdm/guest-session-setup.sh: Update gconfiscation for disabling screensaver
    to the GNOME 2.28 world. Thanks to Robert Ancell! (LP: #425952)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 07 Oct 2009 16:41:31 +0200

gdm-guest-session (0.12) karmic; urgency=low

  * Add guest-restricted.desktop: New X session which runs the
    AppArmor-protected Xsession script wrapper.
  * Makefile: Install above file.
  * gdm/guest-session-setup.sh: Set "guest-restricted" as Xsession for guest.
    (LP: #425793)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 15 Sep 2009 16:39:18 +0200

gdm-guest-session (0.11) karmic; urgency=low

  * gdm/guest-session-cleanup.sh: Ignore errors from /tmp/ cleanup, so that we
    still attempt to delete the temporary user.
  * gdm/guest-session-setup.sh: Use gconftool-2, "gconftool" does not exist
    any more.
  * gdm/guest-session-launch: Replace gdmflexiserver call (which only worked
    with the old gdm) with dbus-send invocation which works with the current
    karmic gdm. Bump gdm dependency accordingly. (LP: #404870)
    NOTE: This currently does not enforce AppArmor restrictions, this will be
    fixed in a subsequent update, see LP #425793.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 07 Sep 2009 18:18:28 +0200

gdm-guest-session (0.10) karmic; urgency=low

  [ Roberto C. Morano ]
  * apparmor/gdm-guest-session: added execution permissions to '/tmp/**'
   (Files and directories anywhere underneath /tmp) which hosts guest user
   home directory. (LP: #383892)

  [ Martin Pitt ]
  * debian/control: Update Vcs-Bzr:, branch moved from ~pitti/+junk to proper
    Ubuntu package branch.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 09 Jun 2009 17:16:25 +0200

gdm-guest-session (0.9) karmic; urgency=low

  * Drop AppArmor to Recommends. (LP: #346088)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 28 Apr 2009 10:59:50 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: optional
 Build-Depends: cdbs, debhelper (>= 6)
 Maintainer: Martin Pitt <martin.pitt@ubuntu.com>
-Standards-Version: 3.8.0
-Vcs-Bzr: https://code.launchpad.net/~pitti/+junk/gdm-guest-session
+Standards-Version: 3.8.3
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/ubuntu/karmic/gdm-guest-session/ubuntu
 
 Package: gdm-guest-session
 Architecture: all
-Depends: gdm (>= 2.20.7-0ubuntu3), passwd, apparmor
+Depends: gdm (>= 2.27.90-0ubuntu2), passwd
+Recommends: apparmor
 Description: gdm extension for guest session
  This package adds support for starting a guest session through gdm's
  flexiserver, which any already logged in user can launch.

## gdm-guest-session 0.15

=== debian/changelog ===
gdm-guest-session (0.15) lucid; urgency=low

  [ Martin Pitt ]
  * gdm/guest-session-cleanup.sh: Only remove users whose home directory is in
    /tmp/. (side-issue in LP #485731)

  [ Didier Roche ]
  * enable switching to guest session corresponsding to current one (ie UNE if
    you are in UNE session and gnome if you are in GNOME session) (LP: #562908)
  * debian/control:
    - bump gdm dependency to 2.30.0-0ubuntu5
    - Bumped Standards-Version to 3.8.4 (no changes necessary).
    - update Vcs-Bzr

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 14 Apr 2010 16:29:00 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Build-Depends: cdbs, debhelper (>= 6)
 Maintainer: Martin Pitt <martin.pitt@ubuntu.com>
-Standards-Version: 3.8.3
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/ubuntu/karmic/gdm-guest-session/ubuntu
+Standards-Version: 3.8.4
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/ubuntu/lucid/gdm-guest-session/ubuntu
 
 Package: gdm-guest-session
 Architecture: all
-Depends: gdm (>= 2.27.90-0ubuntu2), passwd
+Depends: gdm (>= 2.30.0-0ubuntu5), passwd
 Recommends: apparmor
 Description: gdm extension for guest session
  This package adds support for starting a guest session through gdm's

## gdm-guest-session 0.15ubuntu0.1

=== debian/changelog ===
gdm-guest-session (0.15ubuntu0.1) lucid-security; urgency=low

  * SECURITY UPDATE: Guest session arbitrary file deletion (LP: #953044)
    - gdm/guest-session-cleanup.sh: Use find/xargs with 0 separators
      instead of spaces. Thanks to Martin Pitt for the fix.
    - Thanks to Ryan Lortie for reporting this issue.
    - CVE-2012-0943

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 12 Mar 2012 11:18:26 -0400

## gdm-guest-session 0.16

=== Makefile ===
--- 
+++ 
@@ -10,6 +10,8 @@
 	install -m 755 gdm/* $(DESTDIR)$(GDMDIR)
 	install -m 644 apparmor/* $(DESTDIR)$(APPARMORDIR)
 	install -m 644 guest-restricted.desktop $(DESTDIR)$(XSESSIONDIR)
+	ln -s guest-restricted.desktop $(DESTDIR)$(XSESSIONDIR)/une-guest-restricted.desktop
+	ln -s guest-restricted.desktop $(DESTDIR)$(XSESSIONDIR)/une-efl-guest-restricted.desktop
 
 uninstall:
 	for f in $(shell ls gdm); do rm -f $(DESTDIR)$(GDMDIR)$$f; done

=== debian/changelog ===
gdm-guest-session (0.16) maverick; urgency=low

  * debian/control: Drop Vcs-Bzr, switch to lp:ubuntu/gdm-guest-session.
  * debian/control: Bump Standards-Version to 3.9.1, no changes necessary.
  * Add debian/source/format: 3.0 (native).
  * apparmor/gdm-guest-session: Allow mapping in /dev/shm. (LP: #632291)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 13 Sep 2010 10:01:10 +0200

## gdm-guest-session 0.17ubuntu0.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
 GDMDIR=/usr/share/gdm/guest-session/
+GCONFDIR=/usr/share/gconf/
 APPARMORDIR=/etc/apparmor.d/
 XSESSIONDIR=/usr/share/xsessions
 
@@ -6,12 +7,14 @@
 	for f in gdm/*; do sh -n $$f; done
 	
 install:
-	install -d $(DESTDIR)$(GDMDIR) $(DESTDIR)$(APPARMORDIR) $(DESTDIR)$(XSESSIONDIR)
+	install -d $(DESTDIR)$(GDMDIR) $(DESTDIR)$(APPARMORDIR) $(DESTDIR)$(XSESSIONDIR) $(DESTDIR)$(GCONFDIR)
 	install -m 755 gdm/* $(DESTDIR)$(GDMDIR)
 	install -m 644 apparmor/* $(DESTDIR)$(APPARMORDIR)
 	install -m 644 guest-restricted.desktop $(DESTDIR)$(XSESSIONDIR)
 	ln -s guest-restricted.desktop $(DESTDIR)$(XSESSIONDIR)/une-guest-restricted.desktop
 	ln -s guest-restricted.desktop $(DESTDIR)$(XSESSIONDIR)/une-efl-guest-restricted.desktop
+	ln -s une.default.path $(DESTDIR)$(GCONFDIR)/une-guest-restricted.default.path
+	ln -s une.mandatory.path $(DESTDIR)$(GCONFDIR)/une-guest-restricted.mandatory.path
 
 uninstall:
 	for f in $(shell ls gdm); do rm -f $(DESTDIR)$(GDMDIR)$$f; done

=== debian/changelog ===
gdm-guest-session (0.17ubuntu0.1) maverick-security; urgency=low

  * SECURITY UPDATE: Guest session arbitrary file deletion (LP: #953044)
    - gdm/guest-session-cleanup.sh: Use find/xargs with 0 separators
      instead of spaces. Thanks to Martin Pitt for the fix.
    - Thanks to Ryan Lortie for reporting this issue.
    - CVE-2012-0943

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 12 Mar 2012 11:16:50 -0400

gdm-guest-session (0.17) maverick-proposed; urgency=low

  * Makefile:
    - symlink the restricted session env variable to une one to workaround
      gconfd in maverick, seeing GDMSESSION=une-guest-restricted instead of
      "une", like other any other process in the guest session (LP: #657371)

 -- Didier Roche <didrocks@ubuntu.com>  Sat, 09 Oct 2010 20:57:14 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Build-Depends: cdbs, debhelper (>= 6)
 Maintainer: Martin Pitt <martin.pitt@ubuntu.com>
-Standards-Version: 3.8.4
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/ubuntu/lucid/gdm-guest-session/ubuntu
+Standards-Version: 3.9.1
 
 Package: gdm-guest-session
 Architecture: all

## gdm-guest-session 0.24

=== debian/changelog ===
gdm-guest-session (0.24) natty; urgency=low

  * gdm/guest-session-setup.sh:
    - Facilitate the use of a custom home folder skeleton. (Not enabled by
      default)

 -- Gunnar Hjalmarsson <ubuntu@gunnar.cc>  Mon, 18 Apr 2011 11:14:57 +0200

gdm-guest-session (0.23) natty; urgency=low

  * apparmor/gdm-guest-session: Drop obsolete workaround for #253328. Thanks
    Simon Déziel for pointing out. (LP: #677225)
  * apparmor/gdm-guest-session: Restrict /dev/shm, /proc/, and temp dirs to
    "owner". Thanks to Jamie Strandboge for the suggestion! (LP: #673034)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 15 Mar 2011 15:08:03 +0100

gdm-guest-session (0.22) natty; urgency=low

  * gdm/guest-session-launch:
    - Added a --no-lock option.
  * debian/control:
    - Show how to start guest-session using the symlink.
    - Tweaking of the tutorial reference to make it look better at
      http://packages.ubuntu.com/natty/gdm-guest-session

 -- Gunnar Hjalmarsson <ubuntu@gunnar.cc>  Sun, 20 Feb 2011 17:48:18 +0100

gdm-guest-session (0.21) natty; urgency=low

  * Work on the session system to work with new gnome session handling:
    - guest-restricted.desktop, gnome-classic-guest-restricted.desktop,
      new and modifie session files to call gnome-session as a wrapper parameter
    - remove the uneeded export from the Xsession wrapper and take the parameter
      to exec (don't source twice /etc/X11/Xsession)
      Not that the wrapper is still needed for apparmor
    - Add /etc/X11/Xsession.d/00_handle_guest_session to translate restricted
      session in real session name (for gconf, xdg dirs…)
  * Some cleaning on the Makefile for new files and removing all other files
  * apparmor/gdm-guest-session:
    - enables reading the video properties in device
    - temporary workaround for /etc/compizconfig/config as compiz don't read the
      file on LSM creation reject
  * Makefile:
    - remove creation of now empty /usr/share/gconf directory

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 05 Jan 2011 15:32:26 +0100

gdm-guest-session (0.20) natty; urgency=low

  * gdm-guest-session.desktop: Fix NoDisplay, so that the desktop file really
    doesn't appear by default.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 15 Nov 2010 08:38:37 +0100

gdm-guest-session (0.19) natty; urgency=low

  * Do not launch if screenlocking fails (LP: #600559)
  * Provide /usr/bin/ symlink and (hidden by default) desktop file
    (LP: #615301)

 -- Gunnar Hjalmarsson <ubuntu@gunnar.cc>  Thu, 11 Nov 2010 08:51:05 +0100

gdm-guest-session (0.18) natty; urgency=low

  * Allow customization of the guest session with local scripts:
    - Source /etc/guest-session/prepare.sh and /etc/guest-session/prefs.sh if
      present.
    - Allow the guest user read-write access to /var/guest-data/, to provide a
      way to permanently store files. Note that the directory does not exist
      by default, so to enable the feature you have to create it.
    - - Add a link to a customization tutorial.
    Thanks to Gunnar Hjalmarsson for the patches!

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 18 Oct 2010 17:02:54 +0200

=== debian/control ===
--- 
+++ 
@@ -17,5 +17,7 @@
  some restricted privileges (such as not being able to read any home 
  directory or do any permanent change to the system).
  .
- Just call /usr/share/gdm/guest-session/guest-session-launch to start the
- session.
+ Call just guest-session to start the session.
+ .
+ The tutorial http://ubuntuforums.org/showthread.php?t=1566078 shows some
+ ways to customize the appearance and behavior.

## gdm-guest-session 0.24ubuntu0.1

=== Makefile ===
GDMDIR=/usr/share/gdm/guest-session/
APPARMORDIR=/etc/apparmor.d/
XSESSIONDIR=/usr/share/xsessions
DESKTOPDIR=usr/share/applications

check:
	for f in gdm/*; do sh -n $$f; done
	
install:
	install -d $(DESTDIR)$(GDMDIR) $(DESTDIR)$(APPARMORDIR) $(DESTDIR)$(XSESSIONDIR) \
		$(DESTDIR)$(DESKTOPDIR) $(DESTDIR)usr/bin $(DESTDIR)etc/X11/Xsession.d
	install -m 755 gdm/* $(DESTDIR)$(GDMDIR)
	install -m 644 apparmor/* $(DESTDIR)$(APPARMORDIR)
	install -m 644 guest-restricted.desktop $(DESTDIR)$(XSESSIONDIR)
	install -m 644 gnome-classic-guest-restricted.desktop $(DESTDIR)$(XSESSIONDIR)
	install -m 644 gdm-guest-session.desktop $(DESTDIR)$(DESKTOPDIR)
	install -m 644 00_handle_guest_session $(DESTDIR)etc/X11/Xsession.d/
	ln -s $(GDMDIR)guest-session-launch $(DESTDIR)usr/bin/guest-session

uninstall:
	for f in $(shell ls gdm); do rm -f $(DESTDIR)$(GDMDIR)$$f; done
	rmdir -p $(DESTDIR)$(GDMDIR) 2>/dev/null || true
	for f in $(shell ls apparmor); do rm -f $(DESTDIR)$(APPARMORDIR)$$f; done
	rmdir -p $(DESTDIR)$(APPARMORDIR) 2>/dev/null || true
	rm $(DESTDIR)etc/X11/Xsession.d/00_handle_guest_session
	rm $(DESTDIR)$(DESKTOPDIR)/gdm-guest-session.desktop
	rm $(DESTDIR)$(XSESSIONDIR)/guest-restricted.desktop
	rm $(DESTDIR)$(XSESSIONDIR)/gnome-classicguest-restricted.desktop

clean:

.PHONY: install uninstall check clean

=== debian/changelog ===
gdm-guest-session (0.24ubuntu0.1) natty-security; urgency=low

  * SECURITY UPDATE: Guest session arbitrary file deletion (LP: #953044)
    - gdm/guest-session-cleanup.sh: Use find/xargs with 0 separators
      instead of spaces. Thanks to Martin Pitt for the fix.
    - Thanks to Ryan Lortie for reporting this issue.
    - CVE-2012-0943

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 12 Mar 2012 11:12:10 -0400

## gdm-guest-session 0.27

=== debian/changelog ===
gdm-guest-session (0.27) oneiric; urgency=low

  * apparmor/gdm-guest-session: /var/run -> /run and /dev/shm -> /run/shm
    transition (LP: #810270)

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 14 Jul 2011 07:36:57 -0500

gdm-guest-session (0.26) oneiric; urgency=low

  * apparmor/gdm-guest-session: Allow guest programs to read every file in
    /proc/*, as they are mainly having general system state.
  * apparmor/gdm-guest-session: Allow guest programs to read /proc/asound/*
    (for pulseaudio).
  * apparmor/gdm-guest-session: Drop deny rule introduced in previous upload,
    it does more than intended and breaks Firefox.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 21 Jun 2011 09:42:57 +0200

gdm-guest-session (0.25) oneiric; urgency=low

  * apparmor/gdm-guest-session: Allow reading /proc/filesystems and
    /proc/meminfo. (LP: #795723)
  * apparmor/gdm-guest-session: Explicitly deny access to other /proc files to
    avoid noise in dmesg.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 20 Jun 2011 17:58:40 +0200
